package digital.laboratory.platform.entrustment.config.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 贵阳禁毒-情报平台推送数据配置
 */
@Component
@ConfigurationProperties(prefix = "gyjd.labscare.api")
public class ApiPathProperties {
    /**
     * api的ip
     */
    private String host;

    /**
     * 委托书推送的接口
     */
    private String entrustLetter;

    /**
     * 确认书推送接口
     */
    private String confirmLetter;

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getEntrustLetter() {
        return host + entrustLetter;
    }

    public void setEntrustLetter(String entrustLetter) {
        this.entrustLetter = entrustLetter;
    }

    public String getConfirmLetter() {
        return host + confirmLetter;
    }

    public void setConfirmLetter(String confirmLetter) {
        this.confirmLetter = confirmLetter;
    }
}
